# $Revision: 1.37 $, $Date: 2011/08/13 14:14:27 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Mail_Mime
Summary:	%{_pearname} - classes to create and decode mime messages
Summary(pl.UTF-8):	%{_pearname} - klasa do tworzenia i dekodowania wiadomości mime
Name:		php-pear-%{_pearname}
Version:	1.8.2
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	ccd78c662816c95cf236b92d39ca985b
URL:		http://pear.php.net/package/Mail_Mime/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-pear
Obsoletes:	php-pear-Mail_Mime-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides classes to deal with creation and manipulation of mime
messages:
- mime.php: Create mime email, with html, attachments, embedded images
  etc.
- mimePart.php: Advanced method of creating mime messages.
- mimeDecode.php - Decodes mime messages to a usable structure.
- xmail.dtd: An XML DTD to acompany the getXML() method of the
  decoding class.
- xmail.xsl: An XSLT stylesheet to transform the output of the
  getXML() method.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza klasy do tworzenia oraz manipulowania wiadomościami mime:
- mime.php: tworzenie emaili mime, z htmlem, załącznikami, obrazkami,
  etc.
- mimePart.php: zaawansowane metody tworzenia wiadomości mime.
- mimeDecode.php: dekoduje wiadomości mime do używalnej struktury.
- xmail.dtd: XML DTD dla metody getXML() klasy dekodującej.
- xmail.xsl: styl XSLT do transformowania wyjścia metody getXML().

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

install -d examples
mv docs/Mail_Mime/scripts/phail.php examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Mail/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Mail_Mime.spec,v $
Revision 1.37  2011/08/13 14:14:27  glen
- up to 1.8.2

Revision 1.36  2011/01/23 11:08:20  glen
- updated to: 1.8.1

Revision 1.35  2011/01/23 01:14:50  sparky
- restored %install and %clean sections (removed accidentally)

Revision 1.34  2011/01/23 01:03:16  sparky
- dropped -tests subpackage

Revision 1.33  2010/08/20 13:01:08  glen
- updated to: 1.8.0

Revision 1.32  2010/05/11 17:36:26  dzeus
- up to 1.7.0

Revision 1.31  2010/01/04 15:18:08  adamg
- updated to 1.5.3

Revision 1.30  2008/01/31 12:16:08  glen
- rel 2

Revision 1.29  2007-09-01 20:45:45  adamg
- updated to 1.5.2

Revision 1.28  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.26  2006/11/21 19:57:08  glen
- rel 5: use php(extension) virtuals

Revision 1.25  2006/08/25 16:45:59  adamg
- two more chunks in -variables-refs.patch
- release 4; STBR

Revision 1.24  2006/06/19 11:40:00  glen
- php 5.x / 4.4.x fixes (variable ref warnings)

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.21  2005/11/20 16:26:17  glen
- rel 2

Revision 1.20  2005/09/19 23:35:08  glen
- 1.3.1

Revision 1.19  2005/09/19 21:43:40  glen
- integer BR

Revision 1.18  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.17  2005/07/27 08:23:50  glen
- adapterized

Revision 1.16  2005/07/27 01:12:49  aredridel
- R: php-pcre

Revision 1.15  2005/04/03 18:29:25  adamg
- updated to 1.3.0

Revision 1.14  2004/12/03 22:21:35  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.13  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/15 13:24:45  adamg
- added missing status information (it is stable)
- cosmetics

Revision 1.11  2003/10/07 20:55:15  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/05/28 08:58:40  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/10/14 23:45:23  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.6  2002/10/03 12:02:53  blues
- fix in macros

Revision 1.5  2002/07/27 15:10:52  blues
- 1.2.1 - STBR

Revision 1.4  2002/07/14 12:55:47  blues
- 1.2

Revision 1.3  2002/07/12 23:51:47  blues
- release 3 (rebuild with new rpm)

Revision 1.2  2002/07/04 22:35:29  blues
- release 2

Revision 1.1  2002/06/30 14:18:05  blues
- initial (forgotten)
